#
# Conditional build:
%bcond_without	openmp	# OpenMP support
#
Summary:	LAL Simulation library
Summary(pl.UTF-8):	Biblioteka LAL Simulation
Name:		lal-simulation
Version:	6.1.0
Release:	1
License:	GPL v2+
Group:		Libraries
Source0:	http://software.igwn.org/lscsoft/source/lalsuite/lalsimulation-%{version}.tar.xz
# Source0-md5:	13f5a1c0b4417feee26f7470c2ecd3c7
Patch0:		%{name}-env.patch
Patch1:		no-Werror.patch
URL:		https://wiki.ligo.org/Computing/LALSuite
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.11
BuildRequires:	gsl-devel >= 1.13
BuildRequires:	help2man >= 1.37
BuildRequires:	lal-devel >= 7.5.0
%{?with_openmp:BuildRequires:	libgomp-devel}
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:2
BuildRequires:	octave-devel >= 1:3.2.0
BuildRequires:	pkgconfig
BuildRequires:	python3-devel >= 1:3.5
BuildRequires:	python3-numpy-devel >= 1:1.7
BuildRequires:	swig >= 4.1.0
BuildRequires:	swig-python >= 3.0.11
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	zlib-devel
Requires:	gsl >= 1.13
Requires:	lal >= 7.5.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LAL wrapping of the Simulation LIGO_LW XML library.

%description -l pl.UTF-8
Obudowanie LAL do biblioteki Simulation LILO_LW XML.

%package devel
Summary:	Header files for lal-simulation library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki lal-simulation
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	lal-devel >= 7.5.0

%description devel
Header files for lal-simulation library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki lal-simulation.

%package static
Summary:	Static lal-simulation library
Summary(pl.UTF-8):	Statyczna biblioteka lal-simulation
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static lal-simulation library.

%description static -l pl.UTF-8
Statyczna biblioteka lal-simulation.

%package -n octave-lalsimulation
Summary:	Octave interface for LAL Simulation
Summary(pl.UTF-8):	Interfejs Octave do biblioteki LAL Simulation
Group:		Applications/Math
Requires:	%{name} = %{version}-%{release}
Requires:	octave-lal >= 7.5.0

%description -n octave-lalsimulation
Octave interface for LAL Simulation.

%description -n octave-lalsimulation -l pl.UTF-8
Interfejs Octave do biblioteki LAL Simulation.

%package -n python3-lalsimulation
Summary:	Python bindings for LAL Simulation
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki LAL Simulation
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python3-lal >= 7.5.0
Requires:	python3-modules >= 1:3.5
Obsoletes:	python-lalsimulation < 3

%description -n python3-lalsimulation
Python bindings for LAL Simulation.

%description -n python3-lalsimulation -l pl.UTF-8
Wiązania Pythona do biblioteki LAL Simulation.

%prep
%setup -q -n lalsimulation-%{version}
%patch -P 0 -p1
%patch -P 1 -p1

%build
%{__libtoolize}
%{__aclocal} -I gnuscripts
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_openmp:--disable-openmp} \
	--disable-silent-rules \
	--enable-swig

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/liblalsimulation.la

install -d $RPM_BUILD_ROOT/etc/shrc.d
%{__mv} $RPM_BUILD_ROOT%{_sysconfdir}/*sh $RPM_BUILD_ROOT/etc/shrc.d

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS README.md
%attr(755,root,root) %{_bindir}/lalsim-*
%attr(755,root,root) %{_bindir}/lalsimulation_version
%attr(755,root,root) %{_libdir}/liblalsimulation.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liblalsimulation.so.37
%{_datadir}/lalsimulation
/etc/shrc.d/lalsimulation-user-env.csh
/etc/shrc.d/lalsimulation-user-env.fish
/etc/shrc.d/lalsimulation-user-env.sh
%{_mandir}/man1/lalsim*.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liblalsimulation.so
%{_includedir}/lal/LALSim*.h
%{_includedir}/lal/SWIGLALSimulation*.h
%{_includedir}/lal/SWIGLALSimulation*.i
%{_includedir}/lal/swiglalsimulation.i
%{_pkgconfigdir}/lalsimulation.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/liblalsimulation.a

%files -n octave-lalsimulation
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/octave/*/site/oct/*/lalsimulation.oct

%files -n python3-lalsimulation
%defattr(644,root,root,755)
%dir %{py3_sitedir}/lalsimulation
%attr(755,root,root) %{py3_sitedir}/lalsimulation/_lalsimulation.so
%{py3_sitedir}/lalsimulation/*.py
%{py3_sitedir}/lalsimulation/__pycache__
%dir %{py3_sitedir}/lalsimulation/gwsignal
%{py3_sitedir}/lalsimulation/gwsignal/*.py
%{py3_sitedir}/lalsimulation/gwsignal/__pycache__
%dir %{py3_sitedir}/lalsimulation/gwsignal/core
%{py3_sitedir}/lalsimulation/gwsignal/core/*.py
%{py3_sitedir}/lalsimulation/gwsignal/core/__pycache__
%dir %{py3_sitedir}/lalsimulation/gwsignal/models
%{py3_sitedir}/lalsimulation/gwsignal/models/*.py
%{py3_sitedir}/lalsimulation/gwsignal/models/__pycache__
%dir %{py3_sitedir}/lalsimulation/nrfits
%{py3_sitedir}/lalsimulation/nrfits/*.py
%{py3_sitedir}/lalsimulation/nrfits/__pycache__
%dir %{py3_sitedir}/lalsimulation/tilts_at_infinity
%{py3_sitedir}/lalsimulation/tilts_at_infinity/*.py
%{py3_sitedir}/lalsimulation/tilts_at_infinity/__pycache__
%changelog
* Fri May 02 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/lal-simulation.git;a=log;h=master

* Fri May 02 2025 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 5771215
- up to 6.1.0

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> a946198
- Release 3 (by relup.sh)

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 8c40d35
- use patch -P

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> d3ba4dd
- python 3.13 rebuild

* Tue Jun 04 2024 Jakub Bogusz <qboosh@pld-linux.org> 1086037
- updated to 5.4.0 (new soname)

* Sun Feb 19 2023 Jakub Bogusz <qboosh@pld-linux.org> 4b08232
- removed obsolete py_postclean

* Sat Jan 21 2023 Jakub Bogusz <qboosh@pld-linux.org> a34eb73
- fixed URL

* Sat Jan 21 2023 Jakub Bogusz <qboosh@pld-linux.org> 62ff131
- obsolete python2 module

* Fri Jan 20 2023 Jakub Bogusz <qboosh@pld-linux.org> b05cc84
- updated to 4.0.2 (new soname)
- added lal-swig patch (update lal/swig interface for lal 7.2.4)

* Mon Mar 28 2022 Jan Rękorajski <baggins@pld-linux.org> 2c0ce2e
- Release 3 (by relup.sh)

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 71f0da1
- rebuild with python 3.10

* Sat Dec 04 2021 Jan Rękorajski <baggins@pld-linux.org> 54c2346
- up to 3.0.0

* Sun Nov 03 2019 Jan Rękorajski <baggins@pld-linux.org> e7204bb
- up to 1.9.1

* Sun Jul 02 2017 Jakub Bogusz <qboosh@pld-linux.org> 7b38de8
- new

